import influxframework


def execute():
	if "Education" in influxframework.get_active_domains() and not influxframework.db.exists("Role", "Guardian"):
		doc = influxframework.new_doc("Role")
		doc.update({"role_name": "Guardian", "desk_access": 0})

		doc.insert(ignore_permissions=True)
